Bug 188277 - 2.6.16-1.2080 locks up during boot
Summary: 2.6.16-1.2080 locks up during boot
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: powerpc Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-07 15:52 UTC by Robert Story
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 2096
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-29 03:57:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Story 2006-04-07 15:52:43 UTC
Description of problem:
System locks up during boot, after 3 agp messages. WHen booting with the
original fc5 kernel, the next messages is 'i8042.c: No controller found'.

Version-Release number of selected component (if applicable):
2.6.16-1.2080_FC5

How reproducible:
Always.

Steps to Reproduce:
1. boot machine
2.
3.
  
Actual results:
lockup

Expected results:
system boots

Additional info:
adding 'debug' (suggested by the very helpful dwmw2 in #fedora-ppc) to the
kernel params allows the system to boot.

Comment 1 Robert Story 2006-04-07 16:08:03 UTC
From dmesg after booting 2080 with 'debug':

agpgart: AGP aperture is 16M @ 0x0
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
IN from bad port 60 at c01a2444
IN from bad port 64 at c01a24b0
i8042.c: No controller found.


Comment 2 Frank Arnold 2006-04-21 10:28:56 UTC
This is fixed in devel with 2.6.17-rc2 (kernel-2.6.16-1.2141_FC6)

Commit: f39224a8c1828bdd327539da72a53d8a13595838
Summary: Use correct sequence for putting CPU into nap mode
Discussion: http://ozlabs.org/pipermail/linuxppc-dev/2006-April/022034.html

The messages from comment #1 are unrelated. Still see them.

Comment 3 Robert Story 2006-04-29 03:57:18 UTC
closing.. 2.6.16-1.2096 boots find


Note You need to log in before you can comment on or make changes to this bug.